{
  "name": "webpunk-templates",
  "type":"module",
  "scripts": {
    "dev": "gulp dev",
    "dev:pug": "gulp devPug",
    "dev:twig": "gulp devTwig",
    "dev:https": "gulp devSSL",
    "dev:pug:https": "gulp devPugSSL",
    "dev:twig:https": "gulp devTwigSSL",
    "build": "gulp build",
    "build:pug": "gulp buildPug",
    "build:twig": "gulp buildTwig",
    "ssl:create": "gulp ssl",
    "ssl:check": "node ssl-manager.js check",
    "ssl:info": "node ssl-manager.js info",
    "ssl:delete": "node ssl-manager.js delete",
    "data:create": "gulp data",
    "config:create": "gulp configInit",
    "config:reload": "gulp configReload",
    "clean": "gulp clean",
    "pugprettier:fix": "prettier --write '**/*.pug' --plugin='@prettier/plugin-pug'",
    "stylelint": "stylelint 'src/scss/**/*.scss'",
    "stylelint:fix": "stylelint 'src/scss/**/*.scss' --fix",
    "eslint": "eslint .",
    "gh-pages": "push-dir --dir=dist --branch=gh-pages",
    "public": "pnpm run build && pnpm run gh-pages"
  },
  "author": "dreadwood",
  "devDependencies": {
    "@eslint/js": "9.16.0",
    "autoprefixer": "10.4.19",
    "browser-sync": "3.0.2",
    "del": "7.1.0",
    "dotenv": "^16.5.0",
    "eslint": "9.16.0",
    "globals": "15.13.0",
    "gulp": "5.0.0",
    "gulp-concat": "2.6.1",
    "gulp-csso": "4.0.1",
    "gulp-imagemin": "9.1.0",
    "gulp-inject": "5.0.5",
    "gulp-newer": "^1.4.0",
    "gulp-order": "1.2.0",
    "gulp-plumber": "1.2.1",
    "gulp-postcss": "10.0.0",
    "gulp-pug": "5.0.0",
    "gulp-rename": "2.0.0",
    "gulp-sass": "5.1.0",
    "gulp-sourcemaps": "3.0.0",
    "gulp-svgstore": "9.0.0",
    "gulp-twig": "^1.2.0",
    "gulp-uglify-es": "3.0.0",
    "gulp-webp": "5.0.0",
    "imagemin-avif": "0.1.6",
    "nanoid": "5.0.8",
    "postcss": "8.4.38",
    "postcss-scss": "4.0.9",
    "postcss-url": "10.1.3",
    "pug": "3.0.2",
    "push-dir": "0.4.1",
    "sass": "1.72.0",
    "stylelint": "16.3.1",
    "stylelint-config-standard-scss": "13.0.0",
    "stylelint-order": "6.0.4",
    "stylelint-prettier": "5.0.2",
    "uglify-js": "3.17.4"
  },
  "pnpm": {
    "onlyBuiltDependencies": [
      "cwebp-bin",
      "es5-ext",
      "gifsicle",
      "mozjpeg",
      "optipng-bin",
      "sharp"
    ]
  }
}
